/**
 * Hero component
 *
 * 1. Align the left side of the image with the content width.
 */
.hero {
  position: relative;
  max-width: 90rem;
  margin: 0 auto 5rem;
}
@media (max-width: 799px) {
  .hero {
    background-color: var(--color-primary);
  }
}
@media (min-width: 800px) {
  .hero {
    padding: 5rem;
  }
}

.hero__content {
  position: relative;
  z-index: 10;
  max-width: 64.25rem;
  padding: 2.25rem var(--spacing-unit);
  margin: 0;
  font-size: var(--text-large);
  font-weight: 200;
  line-height: 1.5;
  color: #fff;
  background-color: var(--color-primary);
}
.hero__content h1 {
  color: #fff;
}
@media (min-width: 400px) {
  .hero__content {
    padding-right: 2.5rem;
    padding-left: 2.5rem;
  }
}
@media (min-width: 600px) {
  .hero__content {
    max-width: 86%;
    padding-right: 0;
    padding-left: 0;
    margin: auto;
  }
}
@media (min-width: 800px) {
  .hero__content {
    padding: clamp(3.75rem, 7.5vw, 6.25rem) clamp(4.125rem, 7.5vw, 6.875rem) clamp(3rem, 7.5vw, 5rem);
    margin: 0;
    font-size: var(--text-xx-large);
  }
}
@media (min-width: 1000px) {
  .hero__content {
    max-width: 70%;
  }
}

.hero__image {
  margin: 0;
}
@media (max-width: 799px) {
  .hero__image {
    width: 100%;
  }
  .hero__image img {
    width: 100%;
  }
}
@media (min-width: 800px) {
  .hero__image {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 18.25%;
  }
  .hero__image img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
  }
}

.hero__heading {
  margin: 0 0 0.64em;
  font-size: 2.125rem;
  font-weight: bold;
  line-height: 1.12;
}
@media (min-width: 800px) {
  .hero__heading {
    max-width: 8.2em;
    margin-bottom: 0.3em;
    font-size: 3.25rem;
    font-weight: bold;
  }
}

.hero__text {
  margin: 0;
  font-size: var(--text-x-large);
  font-weight: 200;
  line-height: 1.5;
}
@media (max-width: 799px) {
  .hero__text {
    max-width: 32rem;
  }
}
@media (min-width: 800px) {
  .hero__text {
    font-size: var(--text-xx-large);
    font-weight: 300;
  }
}